Bug 2915 - Insecure default settings
: Insecure default settings
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wwwoffle)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-09-01 12:27 by
Modified: 2006-04-11 07:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-01 12:27:31
В настройках wwwoffle по умолчанию прописан старт на всех интерфейсах. Для
настройки по умолчанию больше подходит 127.0.0.1

Также было бы удобно сразу иметь в пакете скрипты
/etc/ppp/ip-up.d/wwwoffle
/etc/ppp/ip-down.d/wwwoffle
переключающие состояние wwwoffle при поднятии/опускании интерфейсов.

Аналог:
/etc/ppp/ip-up.d/sendmail
из пакета sendmail-common
который инициирует отправку писем из очереди при дозвоне.
------- Comment #1 From 2003-11-11 19:28:45 -------
This will be fixed in the upcoming wwwoffle-2.8-alt1.
Are you still using it, by the way?
------- Comment #2 From 2003-11-13 16:56:49 -------
Нет, я столкнулся со странностями при переходе с gprs на обычный модем -
запросы
принимались wwwoffle, но часть из них дальше не отправлялась.

Странности могут быть и из-за маршрутизации в подключении модемом - он звонит
на
cisco, оттуда попадает на прокси, где можно либо использовать маскарадинг
(причём часть запросов в этом варианте запрещена), либо использовать
squid-прокси.

При использовании удалённого squid вместо локального wwwoffle всё ок. При
использовании локального wwwoffle через удалённый маскарад страницы через
какое-то время перестают открываться.

Ко всему этому у меня ещё и плохая АТС дома.

В общем, тут каша из вариантов, которые мне пока некогда тестировать и я пока
не
использую wwwoffle.
------- Comment #3 From 2006-04-11 07:02:30 -------
было испралено Алексеем в версии 2.8-alt1, я только обновил патч для 2.9